import { type InjectionKey, type ExtractPropTypes } from 'vue';
import type { DropdownMenuProvide, DropdownMenuDirection } from './types';
export declare const dropdownMenuProps: {
    overlay: {
        type: BooleanConstructor;
        default: true;
    };
    zIndex: (NumberConstructor | StringConstructor)[];
    duration: {
        type: (NumberConstructor | StringConstructor)[];
        default: number;
    };
    direction: {
        type: import("vue").PropType<DropdownMenuDirection>;
        default: DropdownMenuDirection;
    };
    activeColor: StringConstructor;
    closeOnClickOutside: {
        type: BooleanConstructor;
        default: true;
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: true;
    };
    swipeThreshold: (NumberConstructor | StringConstructor)[];
};
export type DropdownMenuProps = ExtractPropTypes<typeof dropdownMenuProps>;
export declare const DROPDOWN_KEY: InjectionKey<DropdownMenuProvide>;
declare const _default: import("vue").DefineComponent<{
    overlay: {
        type: BooleanConstructor;
        default: true;
    };
    zIndex: (NumberConstructor | StringConstructor)[];
    duration: {
        type: (NumberConstructor | StringConstructor)[];
        default: number;
    };
    direction: {
        type: import("vue").PropType<DropdownMenuDirection>;
        default: DropdownMenuDirection;
    };
    activeColor: StringConstructor;
    closeOnClickOutside: {
        type: BooleanConstructor;
        default: true;
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: true;
    };
    swipeThreshold: (NumberConstructor | StringConstructor)[];
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    overlay: {
        type: BooleanConstructor;
        default: true;
    };
    zIndex: (NumberConstructor | StringConstructor)[];
    duration: {
        type: (NumberConstructor | StringConstructor)[];
        default: number;
    };
    direction: {
        type: import("vue").PropType<DropdownMenuDirection>;
        default: DropdownMenuDirection;
    };
    activeColor: StringConstructor;
    closeOnClickOutside: {
        type: BooleanConstructor;
        default: true;
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: true;
    };
    swipeThreshold: (NumberConstructor | StringConstructor)[];
}>>, {
    overlay: boolean;
    duration: string | number;
    closeOnClickOverlay: boolean;
    direction: DropdownMenuDirection;
    closeOnClickOutside: boolean;
}, {}>;
export default _default;
